instances:
  diatoms:
    model: selma/phytoplankton
    parameters:
      c0: 0.001                          # background concentration (mmol N/m3), default = 0.0
      rfr: 0.0625                        # phosphorus : nitrogen ratio (mol P/mol N), default = 0.0625
      rfc: 6.625                         # carbon : nitrogen ratio (mol C/mol N), default = 6.625
      imin: 50.0                         # minimal optimal light radiation (W/m2), default = 50.0
      alpha: 0.3                         # half-saturation for nutrient uptake (mmol N/m3), default = 0.3 (Neumann etal 2002)
      r0: 1.0                            # maximum growth rate (1/d), default = 1.0 (Neumann etal 2002)
      nb: 0.01                           # excretion rate (1/d), default = 0.01
      deltao: 0.02                       # mortality rate (1/d), default = 0.02
      Yc: 6.25                           # carbon : chlorophyll a ratio (umol C/mg Chl a), default = 6.25
      wz: -0.3                           # vertical velocity (positive: upwards/floating, negative: downwards/sinking) (m/d), default = 0.0
      kc: 0.5                            # specific light attenuation (m2/mmol N)
      sedrate: 0.5                       # sedimentation rate (m/d), default = 0.1 CANNOT BE 0.0
      tau_crit: 0.07                     # critical shear stress (N/m2), default = 0.07
    coupling:
      aa: selma/aa                       # ammonium (mmol N/m3)
      nn: selma/nn                       # nitrate (mmol N/m3)
      o2: selma/o2                       # oxygen (mmol O2/m3)
      po: selma/po                       # phosphate (mmol P/m3)
      dd: selma/dd                       # detritus (mmol N/m3)
      fl: selma/fl                       # fluff (mmol N/m2)
  flagellates:
    model: selma/phytoplankton
    parameters:
      c0: 0.001                          # background concentration (mmol N/m3), default = 0.0
      rfr: 0.0625                        # phosphorus : nitrogen ratio (mol P/mol N), default = 0.0625
      rfc: 6.625                         # carbon : nitrogen ratio (mol C/mol N), default = 6.625
      imin: 50.0                         # minimal optimal light radiation (W/m2), default = 50.0
      alpha: 0.15                        # half-saturation for nutrient uptake (mmol N/m3), default = 0.15 (Neumann etal 2002)
      r0: 0.7                            # maximum growth rate (1/d), default = 0.7 (Neumann etal 2002)
      tlim: 1                            # temperature limitation of growth (0: none, 1: flagellate-style, 2: cyanobacteria-style), default = 0
      tll: 100.0                         # half-saturation temperature, squared (degrees C^2), default = 100.0
      nb: 0.01                           # excretion rate (1/d), default = 0.01
      deltao: 0.02                       # mortality rate (1/d), default = 0.02
      Yc: 6.25                           # carbon : chlorophyll a ratio (umol C/mg Chl a), default = 6.25
      kc: 0.5                            # specific light attenuation (m2/mmol N)
    coupling:
      aa: selma/aa                       # ammonium (mmol N/m3)
      nn: selma/nn                       # nitrate (mmol N/m3)
      o2: selma/o2                       # oxygen (mmol O2/m3)
      po: selma/po                       # phosphate (mmol P/m3)
      dd: selma/dd                       # detritus (mmol N/m3)
  cyanobacteria:
    model: selma/phytoplankton
    parameters:
      c0: 0.001                          # background concentration (mmol N/m3), default = 0.0
      rfr: 0.0625                        # phosphorus : nitrogen ratio (mol P/mol N), default = 0.0625
      rfc: 6.625                         # carbon : nitrogen ratio (mol C/mol N), default = 6.625
      imin: 50.0                         # minimal optimal light radiation (W/m2), default = 50.0
      alpha: 0.5                         # half-saturation for nutrient uptake (mmol N/m3), default = 0.5 (Neumann etal 2002)
      r0: 0.5                            # maximum growth rate (1/d), default = 0.5 (Neumann etal 2002)
      nitrogen_fixation: true            # whether nitrogen fixation is used to acquire nitrogen, default = false
      tlim: 2                            # temperature limitation of growth (0: none, 1: flagellate-style, 2: cyanobacteria-style), default = 0
      tll: 13.5                          # lower temperature limit (degrees C), default = 13.5
      nb: 0.01                           # excretion rate (1/d), default = 0.01
      deltao: 0.02                       # mortality rate (1/d), default = 0.02
      Yc: 6.25                           # carbon : chlorophyll a ratio (umol C/mg Chl a), default = 6.25
      wz: 1.0                            # vertical velocity (positive: upwards/floating, negative: downwards/sinking) (m/d), default = 0.0
      kc: 0.5                            # specific light attenuation (m2/mmol N)
    coupling:
      aa: selma/aa                       # ammonium (mmol N/m3)
      nn: selma/nn                       # nitrate (mmol N/m3)
      o2: selma/o2                       # oxygen (mmol O2/m3)
      po: selma/po                       # phosphate (mmol P/m3)
      dd: selma/dd                       # detritus (mmol N/m3)
  zooplankton:
    model: selma/zooplankton
    parameters:
      c0: 0.001                          # background concentration (mmol N/m3), default = 0.0
      rfr: 0.0625                        # phosphorus : nitrogen ratio (mol P/mol N), default = 0.0625
      rfc: 6.625                         # carbon : nitrogen ratio (mol C/mol N), default = 6.625
      nprey: 3                           # number of prey, default = 1
      pref3: 0.5                         # preference for prey 3 (-), default = 1.0
      nue: 0.01                          # respiration rate (m3/d/mmol N), default = 0.01
      sigma_b: 0.03                      # mortality rate (m3/d/mmol N), default = 0.03
      iv: 1.2                            # Ivlev constant, quadratic (1/(mmol N/m3)3), default = 1.2
      graz: 0.5                          # grazing rate (1/d), default = 0.5
      toptz: 20.0                        # optimal temperature for grazing (deg C), default = 20.0
      zcl1: 50.0                         # closure parameter (-), default = 50.0
    coupling:
      prey1: diatoms/c                   # prey 1 (mmol N/m3)
      prey2: flagellates/c               # prey 2 (mmol N/m3)
      prey3: cyanobacteria/c             # prey 3 (mmol N/m3)
      aa: selma/aa                       # ammonium (mmol N/m3)
      po: selma/po                       # phosphate (mmol P/m3)
      dd: selma/dd                       # detritus (mmol N/m3)
      o2: selma/o2                       # oxygen (mmol O2/m3)
  selma:
    model: selma/selma
    parameters:
      env_type: fresh                    #  (Define environment type, either fresh or marine), default = marine
      wdz: -0.5                          # vertical velocity of detritus (positive: upwards/floating, negative: downwards/sinking) (m/d), default = -4.5
      wpo4: -1.0                         # vertical velocity of suspended P-Fe (positive: upwards/floating, negative: downwards/sinking) (m/d), default = -1.0
      dn: 0.003                          # detritus mineralization rate (1/d), default = 0.003
      dn_sed: 0.002                      # sediment mineralization rate (1/d), default = 0.002
      kc: 0.5                            # specific light attenuation of detritus (m2/mmol N)
      q10_rec: 0.15                      # temperature dependence of detritus remineralization (1/K), default = 0.15
      ade_r0: 0.1                        # maximum chemoautolithotrophic denitrification rate (1/d), default = 0.1
      alphaade: 1.0                      # half-saturation constant for chemoautolithotrophic denitrification (mmol N/m3), default = 1.0
      q10_recs: 0.175                    # temperature dependence of sediment remineralization (1/K), default = 0.175
      tau_crit: 0.07                     # critical shear stress (N/m2), default = 0.07
      sedrate: 2.25                      # detritus sedimentation rate (m/d), default = 2.25
      erorate: 6.0                       # sediment erosion rate (1/d), default = 6.0
      sedratepo4: 0.5                    # P-Fe sedimentation rate (m/d), default = 0.5
      eroratepo4: 6.0                    # P-Fe erosion rate (1/d), default = 6.0
      po4ret: 0.18                       # phosphate retention rate, oxic sediments (-), default = 0.18
      pburialrate: 0.007                 # phosphate burial rate (1/d), default = 0.007
      fl_burialrate: 0.001               # sediment burial rate (1/d), default = 0.001
      pliberationrate: 0.1               # phosphate liberation rate, anoxic sediments (1/d), default = 0.1
      ipo4th: 100.0                      # maximum phosphorus density available for burial (mmol P/m2), default = 100.0
      maxsed: 1000.0                     # maximum active sediment density (mmol N/m2), default = 1000.0
      br0: 0.03                          # bioresuspension rate (1/d), default = 0.03
      fds: 0.7                           # fraction of sediment remineralization fueled by denitrification (-), default = 0.7
      pvel: 5.0                          # piston velocity (m/d), default = 5.0
      newflux: 1                         # oxygen flux type (-), default = 2
    initialization:
      nn: 3.5                            # nitrate (mmol N/m3)
      aa: 0.85                           # ammonium (mmol N/m3)
      dd: 0.0                            # detritus (mmol N/m3)
      o2: 280.0                          # oxygen (mmol O2/m3)
      po: 0.216                          # phosphate (mmol P/m3)
      fl: 15.0                          # fluff (mmol P/m2)
      pb: 0.03                          # PFe_s (mmol N/m2)
      pw: 0.001                          # PFe_w (mmol P/m2)
  ammonium_input:
    model: constant_surface_flux
    parameters:
      flux: 0                            # flux (positive for into water) (UNITS m-2 s-1)
    coupling:
      target: selma/aa                   # target variable (UNITS m-3)
  nitrate_input:
    model: constant_surface_flux
    parameters:
      flux: 0                            # flux (positive for into water) (UNITS m-2 s-1)
    coupling:
      target: selma/nn                   # target variable (UNITS m-3)
  phosphate_input:
    model: constant_surface_flux
    parameters:
      flux: 0                            # flux (positive for into water) (UNITS m-2 s-1)
    coupling:
      target: selma/po                   # target variable (UNITS m-3)
  
